"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const defaultResponder = require("./defaultResponder-pIXL4EeF.cjs");
const auth = require("./auth--eKdiWSi.cjs");
const installation = require("./installation-aMIHG4H9.cjs");
async function getHandler(req) {
  const session = auth.checkSession(req);
  await installation.checkInstalled("sendgrid", session.user?.id);
  return { url: "/apps/sendgrid/setup" };
}
const _getAdd = defaultResponder.defaultResponder(getHandler);
exports.default = _getAdd;
exports.getHandler = getHandler;
